# videojs-share-menu

Menu to share link of video from player

## Table of Contents

<!-- START doctoc -->
<!-- END doctoc -->
## Installation

```sh
npm install --save @viostream/videojs-share-menu
```

## Usage

To include videojs-share-menu on your website or web application, use any of the following methods.

### `<script>` Tag

This is the simplest case. Get the script in whatever way you prefer and include the plugin _after_ you include [video.js][videojs], so that the `videojs` global is available.

```html
<script src="//path/to/video.min.js"></script>
<script src="//path/to/videojs-share-menu.min.js"></script>
<script>
  var player = videojs('my-video');

  player.shareMenu();
</script>
```

### Browserify/CommonJS

When using with Browserify, install videojs-share-menu via npm and `require` the plugin as you would any other module.

```js
var videojs = require('video.js');

// The actual plugin function is exported by this module, but it is also
// attached to the `Player.prototype`; so, there is no need to assign it
// to a variable.
require('@viostream/videojs-share-menu');

var player = videojs('my-video');

player.shareMenu();
```

### RequireJS/AMD

When using with RequireJS (or another AMD library), get the script in whatever way you prefer and `require` the plugin as you normally would:

```js
require(['video.js', '@viostream/videojs-share-menu'], function(videojs) {
  var player = videojs('my-video');

  player.shareMenu();
});
```

## Options

The options passed to the plugin are 


#### `shareTypes`
Type: `array`
Default: `null`

This is an array of shareTypes, and the information to be shared. See index.html for format 

#### `downloadButton`
Type: `object`
Default: `null`

This is an object containing the information for the download button. See index.html for format 

## Icon style
Download icon uses style vjs-icon-downloadfile which is not included in this plugin yet.

## License

MIT. Copyright (c) Viostream


[videojs]: http://videojs.com/
