/* eslint-disable no-undef */
const Component = videojs.getComponent('Component');

/**
  * The class for Download Button
  *
  * @extends Component
  */
class OpenShareButtonControl extends Component {
  /**
   * Constructor for class
   *
   * @param {Player|Object} player The player
   * @param {options|Object} options player options
   */
  constructor(player, options) {
    super(player, options);

    const openShareButton = this.createEl('button', {
      className: 'vjs-share-menu-open-button vjs-share-menu-top-button',
      type: 'button'
    });

    openShareButton.title = 'Share Video';
    openShareButton.setAttribute('aria-label', 'Share Video');
    openShareButton.innerHTML = '<span class="vjs-icon-share"></span>';

    openShareButton.addEventListener('click', (e) => {

      const playerContainer = player.el();
      const el = playerContainer.querySelector('.vjs-share-menu-lower-container');

      openShareButton.classList.toggle('open');

      el.classList.toggle('show');

      e.stopPropagation();
    });

    openShareButton.addEventListener('touchend', (e) => {
      e.stopPropagation();
    });

    this.el_ = openShareButton;
  }
}

export default OpenShareButtonControl;
